HTTPProtocol::HTTPRequest Struct Reference

`#include <http.h>`

## Public Types

enum | { CookiesAuto, CookiesManual, CookiesNone }

## Public Attributes

QString | hostname
QString | encoded_hostname
short unsigned int | port
QString | user
QString | passwd
QString | path
QString | query
KIO::HTTP_METHOD | method
KIO::CacheControl | cache
KIO::filesize_t | offset
bool | doProxy
KURL | url
QString | window
QString | referrer
QString | charsets
QString | languages
bool | allowCompressedPage
bool | disablePassDlg
QString | userAgent
QString | id
DAVRequest | davData
bool | bNoAuth
QString | cef
bool | bUseCache
bool | bCachedRead
bool | bCachedWrite
FILE * | fcache
QString | etag
QString | lastModified
bool | bMustRevalidate
long | cacheExpireDateOffset
time_t | expireDate
time_t | creationDate
QString | strCharset
bool | bErrorPage
bool | bUseCookiejar
enum HTTPProtocol::HTTPRequest:: { ... } | cookieMode

## Detailed Description

The request for the current connection.

Definition at line 101 of file http.h.

The documentation for this struct was generated from the following file:

- http.h

KDE Home | KDE Accessibility Home | Description of Access Keys